How to cut a part of a 3D object? - object

I am noob with Blender.
I am here because I have some difficulty using the "project knife" tool in edit mode.
I have watched some tutorials about this, but no one helped me.
In "object mode" I select first the mesh model and with Shift+LMB the entire object, when I switch thought the edit mode and I select knife project, but I receive an error: "no other selected object found to use for projection".
Can anyone help me? Thanks in advance.

Knife Project requires two objects to work: a reference object, and the one you want the part cut out of. So, for example, if you want to cut a circular hole out of a cube, you would do the following:
Create the cube mesh object
Create a circle mesh object
position the circle so that it's aligned with wherever you want the hole to be cut out of (i.e., if you want a hole cut out of the top of the cube, rotate and move the circle to the top of the cube)
Select the circle, then shift+LMB select the cube
Go to edit mode and click Edit > Knife Project
That's all! You should then be able to see the new vertices of the circle placed onto the cube. You can choose to remove the selected faces in your newly cut out hole, or not.
Are you sure you're selecting two separate mesh objects? That seems to be the error you're getting.

Related

Add double lines in the middle of another svg line

so I have a drawing program and I need to implement a "broken line", it is an SVG line with two another lines in the middle of this line, these two line needs to cross perpendicularly to the principal line, maybe this picture can help me to explain the problem:
This line can be drawn in any angle that the user choose
I don't really understand svg's so I'm having a lot of trouble implementing this.
Thank you
So I discovered one way to implement that using polylines and calculating the middle of the source and target coordinates, so when it changes I change the middle point too. After that, I created a marker-mid with the double lines.

VTK: transform a surface in polydata

I want to select a surface from polydata(STL file) and transform(deform?) it. When you select a surface, it is not connected to the existing polydata or the surface is extracted and a hole is created. Is there a way to solve this?
I want to make it like the picture below.
(The pink color area is what you want to create.)
Image attached
We are going to make some changes, not all of the polydata.
I answered a similar question in the vtkplotter github issues:

Trim VLA-OBJECTS Outside Circles automatically without selecting anything

what I want to do is to trim some polylines that are saved as VLA-OBJECTS, there is no problem on converting them into Entities, but what I graphically want is to trim my Image in the following way:
So as you can see I want to trim everything of the blue lines outside the red circles on the corners and I want to it automatically without selecting anything. For this purpose, I have stored the circle as a VLA-OBJECT, The blue polylines as independent VLA-OBJECTS, the centers of the circles, in fact everything on the first image is stored on memory as a VLA-OBJECT. So I was wondering if you can suggest any lisp routine to do it automatically?. I was thinking on using the Break command or the Extend command but I can not find a real solution. Many thanks in advance.
I have no time enought to prepare working sample code, but I may show You the way. I would try to make it in this way:
You can find intersections of circles and lines.
( vlax-invoke-method circle 'IntersectWith BlueLine acExtendNone )
break each blue line by this
(foreach line BlueLines
(command "_break" line pt pt ) ; where pt is point returned by IntersectWith
)
and the last step is to check if all entities created by _break are inside or outside circles.
You don't have easy access to entities created by _break. to get them, You may use (entlast) before command _break. and (entnext) after that .

How to drag a polygon in MFC?

I'm new to MFC. I know how to draw a line and how to scribble in MFC. I use CDC and some functions such as LineTo() and MoveTo() to do this. Moreover, I've got FillRect() and Rectangle().Now I want to drag my rectangle or any polygon in the view.It's like you drag a icon on your desktop.
I think the first step is to get the region.Then erase the old polygon and when the mouse move draw a same polygon which depends on the point where the mouse go.
So I search region in MSDN and I got Region class and CRgn class.But before I look into these two class I want to know whether I'm in the right direction.
I need more suggestions on how to learn MFC. Actually,all I need is to finish my homework which is mainly about draw polygons and drag them and link them by line. And I hope I can finish this homework all by myself and MSDN. Can MSDN help me do that?
The CDC::Polyline function will draw a polygon much faster than using LineTo and MoveTo.
You do not need region and do not need to erase the old polygon. Instead, you need to draw everything in the view OnDraw. Any change you want to make with the mouse should change the array of coordinates that represent the polygon and then call Invalidate. In other words, do not draw in the mouse message handlers. Calling Invalidate in the mouse message handlers will cause OnDraw to be called later and it should repaint the entire view.

How do I implement a group of strings that starts randomly, but is bound by relevance upon selection?

Okay the title may be a little confusing, but here's what I'm trying to do :) I have a game in XNA where every tap from the user draws a moving circle on the screen. The circle has a tag, say 'dogs' displayed on it. So imagine multiple taps on the screen, and we have all these circles of various colors and sizes moving around the screen with different (but constant) velocities. Each circle with different tags: 'dogs', 'cats' and so on...
Clicking on empty space generates a new circle at that point. Clicking on one of the circles "selects" it, turning it into a greeen shade and slowing its velocity down to a fraction of what it was. Clicking on it again "unselects" it, and restores its original color and velocity (trajectory does not change).
With each circle comes a tag, and as of now I'm populating these tags randomly from a string array (which means there's a chance tags will repeat). I would like the tags for newly created circles to be relevant to previous "selected" tags. So when I click on 'dogs', I would like 'German Shepherd' but I would also like 'dog parks' and 'lemurs' assuming dogs get along well with lemurs.
What would be the best way to approach this problem. In my head I have a massive many-to-many mapping, but I can't seem to translate it to code. Thanks for looking.
FYI I'm using the sample project from here:
http://mobile.tutsplus.com/tutorials/windows/introduction-to-xna-on-windows-phone-7/
At a glance your data structure sounds like a tree, except each node has a list of parents instead of a single parent. You could describe it as many to many like you said, but there's likely more links in the child direction than the parent direction.
Alternatively you could leave it as a tree structure and add a list of associations to nodes, so that like you say lemurs and dogs can be associated, even though they are not in a parent / child relationship.

Resources